--- vls/configure.in	2003-08-14 00:56:01.000000000 +0200
+++ vls-mp3lame/configure.in	2003-08-16 13:21:15.000000000 +0200
@@ -391,6 +391,9 @@
 AC_HELP_STRING(--with-ffmpeg=[PATH], path to ffmpeg header files))
 AC_ARG_WITH(v4l,
 AC_HELP_STRING(--with-v4l=[PATH], path to v4l header files))
+AC_ARG_ENABLE(ffmpeg-mp3lame,
+AC_HELP_STRING(--enable-ffmpeg-mp3lame, ffmpeg is compiled with mp3lame (default disabled)))
+
 
 if test x$enable_v4l = xyes
 then
@@ -426,6 +429,11 @@
   if test -f "${with_ffmpeg}/libavcodec/libavcodec.a"
   then
     V4LINPUT_LIB="${V4LINPUT_LIB} ${with_ffmpeg}/libavcodec/libavcodec.a"
+    
+    if test x$enable_ffmpeg_mp3lame = xyes
+    then
+        VLS_LIB="${VLS_LIB} -lmp3lame"
+    fi
     V4LINPUT_DCFLAGS="${V4LINPUT_DCFLAGS} -I${with_ffmpeg}/libavcodec"
     V4LINPUT_LCFLAGS="${V4LINPUT_LCFLAGS} -L${with_ffmpeg}/libavcodec"
     BUILTINS="${BUILTINS} v4linput v4lreader raw2ts"
